Debian Bug report logs - #702819
ITP: liblexical-underscore-perl -- access your caller's lexical underscore

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Mon, 11 Mar 2013 20:42:01 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version liblexical-underscore-perl/0.001-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#702819; Package wnpp. (Mon, 11 Mar 2013 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Mon, 11 Mar 2013 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: liblexical-underscore-perl -- access your caller's lexical underscore
Date: Mon, 11 Mar 2013 21:38:06 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : liblexical-underscore-perl
  Version         : 0.001
  Upstream Author : Toby Inkster <tobyink@cpan.org>
* URL             : http://search.cpan.org/dist/lexical-underscore/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : access your caller's lexical underscore

 Starting with Perl 5.10, it is possible to create a lexical version of
 the Perl default variable $_. Certain Perl constructs like the "given"
 keyword automatically use a lexical $_ rather than the global $_.
 .
 It is occasionallly useful for a sub to be able to access its caller's
 $_ variable regardless of whether it was lexical or not. The "(_)" sub
 prototype is the official way to do so, however there are sometimes
 disadvantages to this; in particular it can only appear as the final
 required argument in a prototype, and there is no way of the sub
 differentiating between an explicitly passed argument and $_.
 .
 lexical::underscore allows you to access your caller's lexical $_
 variable as easily as:
 .
  ${lexical::underscore()}



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 12 Mar 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Mon, 01 Apr 2013 13:03:38 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 13:03:38 GMT) Full text and rfc822 format available.

Message #12 received at 702819-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 702819-close@bugs.debian.org
Subject: Bug#702819: fixed in liblexical-underscore-perl 0.001-1
Date: Mon, 01 Apr 2013 13:00:06 +0000
Source: liblexical-underscore-perl
Source-Version: 0.001-1

We believe that the bug you reported is fixed in the latest version of
liblexical-underscore-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702819@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated liblexical-underscore-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 11 Mar 2013 21:54:12 +0100
Source: liblexical-underscore-perl
Binary: liblexical-underscore-perl
Architecture: source all
Version: 0.001-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 liblexical-underscore-perl - access your caller's lexical underscore
Closes: 702819
Changes: 
 liblexical-underscore-perl (0.001-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#702819.
Checksums-Sha1: 
 118a4d674b2c516f12ac6e9aa48ee8d7d2c0281e 2176 liblexical-underscore-perl_0.001-1.dsc
 db401bfd1866e1f10f26f46d8dcd8e14ca77dd6d 49391 liblexical-underscore-perl_0.001.orig.tar.gz
 486cf44962c3b0688df14a7bf1decd445be698bd 3959 liblexical-underscore-perl_0.001-1.debian.tar.gz
 c4b3989f74f8e1fe745cccbe769a774bc3377261 10882 liblexical-underscore-perl_0.001-1_all.deb
Checksums-Sha256: 
 22835b625068e776c7f721a5207e8461f0fea545de2893750dbbb401d3553bcd 2176 liblexical-underscore-perl_0.001-1.dsc
 327eca5d652627a2eda655e8c3806bf5c42af90aad56ea60cff10360548b40ed 49391 liblexical-underscore-perl_0.001.orig.tar.gz
 c98e784fa21619da247d1ddd78776d3df36f790b77a97dfee522910da7bf74ed 3959 liblexical-underscore-perl_0.001-1.debian.tar.gz
 99d1a356b72bd509eb19964e14e19a3be97ac4763f7627946b975e7589b75cd6 10882 liblexical-underscore-perl_0.001-1_all.deb
Files: 
 208fbaf30f47fe65e56727c0d501de41 2176 perl optional liblexical-underscore-perl_0.001-1.dsc
 17922595dccde62735038252c6403897 49391 perl optional liblexical-underscore-perl_0.001.orig.tar.gz
 d8c78f5bcca7c12c424e22aa12bad212 3959 perl optional liblexical-underscore-perl_0.001-1.debian.tar.gz
 98313030c967ec36c094122366138adf 10882 perl optional liblexical-underscore-perl_0.001-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRPkUMAAoJECx8MUbBoAEh1KEP/j/zGFxjgJGhceHHQNrgIhsE
OjhqDIQB5cxZzrJ3hwisBMlq+Lx4NdTX5COYVn9xwSPSkcJwhYFKSYA/4KrqEc2u
DoCFAhQyrTjU0KDDXrT3omTvjFcb0tzk220pJ/8VDpDZcDg6JwKBoUYgQ9faN0HJ
twrQzXLE25yqDkqIuhA+R9SBJly499XF4gGwQE4ZQHfSVuZynMXgMoXNPE3yawSI
xXBYXXAWRAJzEwLrkhKJNrTcRbNkK7CU4vwhhcohDb+bvaT41VZkL6fB9iaowTqO
++nspmTXAUDkObD8PY1nTNtbFyv2NjnvWoJ59tO8/WIh/2nT82TbZobbulBl4lUg
dfZmb9wMrEEQY0tubxp7acNguuCpp09OVd3iiW9AEBMsWkz+cNlkbjx4aO1p7WEC
KQN7xb7sRc7p4Dqi88rwU29eqXbdFiGhWDW3db8yqumun+jK/3/ZiOXjsQrR5MoJ
ZlX/Y7GapQn3duglEUZhDeEAkXai5N9Qd7qW7+3d1QCIUen4r5r+/k31e4VUc1Ep
+ng5S5LSzUPo24YQBIQkpsC1vfG2ewu5XH6e7iiRUjfPUsmb0pOszuIE6ZTY9+OD
m8TcZeHYv6YJOZSR7dCW/oyMCPLV6JvxgrVbc8ZZUEynHEqTX7/PVy9TX/+mP804
yFcbzs5ZB6nt6jjxZAJq
=e+dT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:58:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.